# <stlabel>

Allows creation of view labels in StarTeam repositories.

Often when building projects you wish to label the source control repository.

By default this task creates view labels with the build option turned on.

This task was ported from the Ant task http://jakarta.apache.org/ant/manual/OptionalTasks/starteam.html#stlabel

You need to have the StarTeam SDK installed for this task to function correctly.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
label | string | The name to be given to the label; required. | True
buildlabel | bool | Should label be marked build : default is true | False
description | string | Optional description of the label to be stored in the StarTeam project. | False
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
password | string | The password used for login. | False
projectname | string | The name of the StarTeam project to be acted on | False
revisionlabel | bool | Should label created be a revision label. The default is false. | False
servername | string | Name of StarTeamServer. | False
serverport | string | Port number of the StarTeam connection. | False
timestamp | string | Optional: If this property is set the label will be created as of the datetime specified. Please provide a datetime format that can be parsed via Parse. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
url | string | One stop to set all parameters needed to connect to a StarTeam server. | False
username | string | The StarTeam user name used for login. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False
viewname | string | The name of the StarTeam view to be acted on. | False

### Examples

- Creates a label in a StarTeam repository.

                  <!--
                    constructs a 'url' containing connection information to pass to the task
                    alternatively you can set each attribute manually
                  -->
                  <property name="ST.url" value="user:pass@serverhost:49201/projectname/viewname" />
                  <stlabel label="3.1 (label title goes here)" description="This is a label description" url="${ST.url}" />

### Requirements

Assembly: NAnt.Contrib.Tasks (0.91.4312.0)